<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->

<h1 class="h2 fw-medium mb-3">
    {{ 'preCompute.title' | translate }}
</h1>
<p class="mb-4">
    {{ 'preCompute.instruction' | translate }}
</p>

<sdm-page-actions #pageActionsComponent>
    <i aria-hidden="true" class="bi bi-arrow-right-circle" onReady></i>
    <p onReady>
        {{ 'preCompute.pageActions.instruction' | translate }}
    </p>
    <button (click)="preCompute()" class="btn btn-primary" onReady type="button">
        <i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
        {{ 'preCompute.pageActions.preCompute' | translate }}
    </button>

    <div class="spinner" onProgress>
        <span aria-hidden="true" class="spinner-border"></span>
        <span class="visually-hidden" role="status">
		{{ 'common.loading' | translate }}
	  </span>
    </div>
    <p onProgress>
        {{ 'preCompute.pageActions.inProgress' | translate }}
    </p>
    <p onError>
        {{ 'preCompute.pageActions.error.' + pageActionsComponent.errorFeedbackCode | translate }}
    </p>

    <i aria-hidden="true" class="bi bi-check-circle" onComplete></i>
    <p aria-live="polite" onComplete>
        {{ 'preCompute.pageActions.processCompleted' | translate }}
    </p>
    <button class="btn btn-primary" onComplete sdmRouterLinkNext type="button">
        <i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
        {{ 'common.next' | translate }}
    </button>
</sdm-page-actions>

<sdm-progress/>